Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 153450 - Marking rules defined by "subtype" are applied to all the subtype methods instead of only the overridden ones
Marking rules defined by "subtype" are applied to all the subtype methods ins...
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P2 (vote)
: 6.x
Assigned To: J Bachorik
issues@profiler
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 11:03 UTC by Petr Cyhelsky
Modified: 2009-02-19 22:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2008-11-19 11:03:14 UTC
Methods which shouldn't be set as marker methods are set as marker methods, causing problems when marker method is
called from root method.
Comment 1 Tomas Hurka 2008-11-19 13:13:18 UTC
This problem can be reproduced on this tutorial: http://www.javapassion.com/handsonlabs/nbprofilerperformance/index.html#Exercise_4
With NB 6.5 Performance.doCountPrimeNumbers() is not in the snapshot.
Comment 2 J Bachorik 2008-11-20 11:07:23 UTC
fixed in trunk - http://hg.netbeans.org/profiler-main/rev/e630f15b5dd6

With this fix only the overridden methods get marked
Comment 3 Quality Engineering 2008-11-22 04:47:30 UTC
Integrated into 'main-golden', will be available in build *200811220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e630f15b5dd6
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #153450 - marking subtypes will apply only to the overriden public/protected methods
Comment 4 pgebauer 2008-11-24 09:30:53 UTC
The issue didn't pass the nomination process by nomination cut-off date. It has been marked as 65fixes2-candidate.
Comment 5 Rashid Urusov 2008-11-24 15:31:09 UTC
VERIFIED in Build 200811240201
Performance.doCountPrimeNumbers() is in the snapshot now
Comment 6 pgebauer 2008-11-25 13:29:31 UTC
Based on the offline discussion, the issue will be part of 65patch1.

The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/ebc7d3557a66



By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo